/*
 * =====================================================================================
 *
 *       Filename:  ui.h
 *
 *    Description:  Header for user interface routines
 *
 *        Version:  1.0
 *        Created:  15/03/2017 20:07:12
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Jerome Benoit (fraggle), jerome.benoit@piment-noir.org
 *   Organization:  Piment Noir
 *
 * =====================================================================================
 */

#ifndef UI_H
#define UI_H

#include <ncurses.h>

#include "constants.h"
#include "othello.h"

int prompt_values(WINDOW* windows, int base_y, int base_x, const char* msg, int* y, char* x);

int map_col_letter_to_index(char c);
char map_col_index_to_letter(int index);

/* ncurses printing */
void print_board(int y, int x);
void print_pawns(int base_y, int base_x, unsigned int pawn_array[board_size][board_size]);
void print_shots_list(int base_y, int base_x, struct shots_list_s* shots_list);

/* non ncurses printing */

#endif /* UI_H */
